MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030833Open CASCADE[OCCT] OCCT:Visualizationpublic2019-07-09 17:102019-07-13 14:31
Reporteriko 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030833: Visualization - Graphic3d_Camera constructor's exceptions
DescriptionOne of the Graphic3d_Camera's constructors receiving Handle(Graphic3d_Camera) does not have field's initialization part so that exceptions may appears when this constructor is used.
Steps To ReproduceJust call Graphic3d_Camera constructor receiving Handle(Graphic3d_Camera).
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0030807verifiedapn Visualization, TKOpenGl - supporting cubemaps 

-  Notes
(0085524)
git (administrator)
2019-07-09 17:32

Branch CR30833 has been created by iko.

SHA-1: fae58ff12f0e2de91aab5e5825b8ad0537b70020


Detailed log of new commits:

Author: iko
Date: Tue Jul 9 17:19:57 2019 +0300

    0030833: Visualization - Graphic3d_Camera constructor's exceptions
    
    Field's initialization part has been added to Graphic3d_Camera constructor receiving Handle(Graphic3d_Camera).
(0085526)
iko (developer)
2019-07-09 17:34

Please review the changes.
(0085540)
kgv (developer)
2019-07-09 19:59

Please take the patch.
(0085621)
git (administrator)
2019-07-13 14:31

Branch CR30833 has been deleted by inv.

SHA-1: fae58ff12f0e2de91aab5e5825b8ad0537b70020

- Related Changesets
occt: master c55c8fe9
Timestamp: 2019-07-09 14:19:57
Author: iko
Committer: bugmaster
Details ] Diff ]
0030833: Visualization - Graphic3d_Camera constructor's exceptions

Field's initialization part has been added to Graphic3d_Camera constructor receiving Handle(Graphic3d_Camera).
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-07-09 17:10 iko New Issue
2019-07-09 17:10 iko Assigned To => iko
2019-07-09 17:11 iko Relationship added related to 0030807
2019-07-09 17:32 git Note Added: 0085524
2019-07-09 17:34 iko Note Added: 0085526
2019-07-09 17:35 iko Assigned To iko => kgv
2019-07-09 17:35 iko Status new => resolved
2019-07-09 19:59 kgv Note Added: 0085540
2019-07-09 19:59 kgv Assigned To kgv => bugmaster
2019-07-09 19:59 kgv Severity minor => trivial
2019-07-09 19:59 kgv Status resolved => reviewed
2019-07-09 19:59 kgv Product Version => 7.3.0
2019-07-10 10:43 bugmaster Test case number => Not required
2019-07-13 14:17 bugmaster Changeset attached => occt master c55c8fe9
2019-07-13 14:17 bugmaster Status reviewed => verified
2019-07-13 14:17 bugmaster Resolution open => fixed
2019-07-13 14:31 git Note Added: 0085621


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker